> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Target Candidates

> List workspaces in every organization, marking targets and the source.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /admin/managed-resources/workspaces
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/managed-resources/workspaces:
    get:
      tags:
        - admin
        - admin:managed-resources
      summary: List Target Candidates
      description: List workspaces in every organization, marking targets and the source.
      operationId: admin-list_target_candidates
      parameters:
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 20
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 8192
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_ManagedWorkspaceRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    Page_ManagedWorkspaceRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ManagedWorkspaceRead'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Next-page cursor
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
          description: Previous-page cursor
      type: object
      required:
        - items
      title: Page[ManagedWorkspaceRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ManagedWorkspaceRead:
      properties:
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
        workspace_name:
          type: string
          title: Workspace Name
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        organization_name:
          type: string
          title: Organization Name
        is_source:
          type: boolean
          title: Is Source
        target_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Target Id
          description: Set when the workspace is already a target.
      type: object
      required:
        - workspace_id
        - workspace_name
        - organization_id
        - organization_name
        - is_source
      title: ManagedWorkspaceRead
      description: A workspace an FDE can assign as a target.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.